@use 'sass:math';
@import "CssWorkgroup";

/**
    https://medium.com/secoya-tech/a917b80c43f9
    http://jsfiddle.net/andsens/mLA7X/
 */
.radial-progress {
    --circle-size: 20px;
    --circle-inset-color: white;
    $circle-background: rgba($color-black, .2) !default;
    $circle-color: $color-primary !default;
    $transition-length: 1s !default;

    margin: 0 auto;
    width: var(--circle-size);
    height: var(--circle-size);

    background-color: $circle-background;
    border-radius: 50%;

    .circle {
        .mask, .fill {
            width: var(--circle-size);
            height: var(--circle-size);
            position: absolute;
            border-radius: 50%;
        }

        .mask, .fill {
            -webkit-backface-visibility: hidden;
            transition: transform $transition-length;
            border-radius: 50%;
        }

        .mask {
            clip: rect(0px, var(--circle-size), var(--circle-size), calc(var(--circle-size) / 2));

            .fill {
                clip: rect(0px, calc(var(--circle-size) / 2), var(--circle-size), 0px);
                background-color: $circle-color;
            }
        }
    }

    .inset {
        width: calc(var(--circle-size) / 2);
        height: calc(var(--circle-size) / 2);
        position: absolute;
        margin-left: calc((var(--circle-size) - calc(var(--circle-size) / 2)) / 2);
        margin-top: calc((var(--circle-size) - calc(var(--circle-size) / 2)) / 2);

        background-color: var(--circle-inset-color);
        border-radius: 50%;
    }
}
